#include<iostream>
#include<vector>
#include"redica.h"
using namespace std;
vector<int> ans;
void solve(int N, int K, int S)
{
    for(int i = 0; i < N; i++)
    {
        ans.push_back(query());
    }
    submit(ans);
}